Subject: bug#78999: 31.0.50; [wishlist] window-divider-mode: option to show the bottom divider only when the mode line is hidden

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jul 2025 14:54:23 +0300

> From: Dani Moncayo <[email-masked]>
> Date: Sat, 12 Jul 2025 13:31:04 +0200
> Cc: [email-masked]
> 
> > > BTW, in my setup, the mode-line face has a :box property, so each mode
> > > line is rendered with a box around it.  As a result, showing both the
> > > mode line and the bottom divider looks bad (at least to me).
> >
> > The mode line has the :box face by default (see the attributes of the
> > face 'mode-line'), and if I customize window-divider-default-places to
> > (say) 'bottom-only', I don't see anything wrong in the resulting
> > display.
> 
> I'm not saying that the result is _wrong_.  I just find it like
> 'redundant', so to speak, to have a window with both a mode line and a
> bottom divider below it.

Which is why window-divider-mode is by default off, I guess?  And
users who want the dividers but feel they are redundant when the mode
line is shown, can turn on the dividers only if they turn off the mode
line.

> I feel like the mode line is already enough to mark the bottom
> boundary of the window.  And I'd rather have either the mode line or
> the bottom divider line, but not both.

You already requested that in your OP, didn't you?

> >  What exactly "looks bad" in your case, and how did you
> > customize the :box property?
> 
> My setup is something like the one below.
> 
> I'm also attaching a screenshot of how it looks here.

Thanks.  FWIW, I see nothing wrong with how it looks, the redundancy
aspect aside.